program logistics
implicit none

real :: x, r
integer :: p

x = 0.1

write(*, *) 'r = ?'
read(*, *) r

open(1,file='logistic.res')

do p = 1, 10000
  x = r * (1 - x) * x
  if (p > 9000) then
    write(1, *) p, ' ', x
  endif
enddo

close(1)

end
